Subject: Re: bug#61374: 30.0.50; Wrong mark-sexp with tree-sitter

From: Ergus <[email-masked]>
Date: Tue, 14 Feb 2023 09:50:49 +0100

Hi:

Sorry to bother. Any progress on this? 

Best,
Ergus

On Thu, Feb 09, 2023 at 08:53:03PM +0100, Theodor Thornhill wrote:
>
>
>On 9 February 2023 18:47:29 CET, Juri Linkov <[email-masked]> wrote:
>>> This will happen in many places iirc.  I'm not saying it's unfixable,
>>> just that I need to think a little about it, and some expected examples
>>> would be nice.
>>
>>Would it be possible to make sexp navigation in c-ts-mode exactly
>>like it was in c-mode?  It's quite frustrating when after switching
>>to c-ts-mode sexp commands operate on different things.
>
>That should be the goal, yeah :)
>
>Theo